commit:     070f87608556531a768024550b6bc52e083a8a4b
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 31 11:52:30 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Mar 31 11:53:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=070f8760

dev-python/awscli: bump to v1.18.32

Bug: https://bugs.gentoo.org/714866
Closes: https://bugs.gentoo.org/708682
Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-python/awscli/Manifest              |  1 +
 dev-python/awscli/awscli-1.18.32.ebuild | 56 +++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/awscli/Manifest b/dev-python/awscli/Manifest
index 15d1146d584..965a07c651a 100644
--- a/dev-python/awscli/Manifest
+++ b/dev-python/awscli/Manifest
@@ -1 +1,2 @@
 DIST awscli-1.18.16.tar.gz 1715973 BLAKE2B 
3c61ed7954eb6262b51d79aa5a11bb5b1293056acd4557ba6bd5506c255919fe7926c3f8d0334825c55a87a9e3d9290c7d07b478397bafd2755f22dde8b44bb5
 SHA512 
8fbf134d8b99b38ea9bdd68f8c2d24fc8ee21e7f542d5acef0cb0d7f1e631faa209c5631504fdee140ea940333877a090064ac75c96850b814a08bfde29faa3e
+DIST awscli-1.18.32.tar.gz 1719753 BLAKE2B 
a7640bf78fe33736b73b7820273b75376eedc0945cbb441a1a3a36119a3c629e2bc16f1a6f6bd83ebd48bc77c2f68670886eebaa84d54cfcd4305b518999ce63
 SHA512 
3b88afbd08252ce8c7b1e5e67dfab73a6d46f7f4465c247077a136f1de981611b42d001bdc920bca78acbb395ffe294bbbb011fbcb1fdae253f27ced4a1f1141

diff --git a/dev-python/awscli/awscli-1.18.32.ebuild 
b/dev-python/awscli/awscli-1.18.32.ebuild
new file mode 100644
index 00000000000..0adfaaf427f
--- /dev/null
+++ b/dev-python/awscli/awscli-1.18.32.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="https://pypi.org/project/awscli/";
+#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+# requires network access
+RESTRICT="test"
+
+RDEPEND="
+       >=dev-python/botocore-1.15.32[${PYTHON_USEDEP}]
+       <dev-python/colorama-0.4.4[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       <dev-python/rsa-3.5.0.0[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+       <dev-python/pyyaml-5.4.0[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+
+S="${WORKDIR}/aws-cli-${PV}"
+
+python_test() {
+       nosetests -vv || die
+}
+
+python_install_all() {
+       newbashcomp bin/aws_bash_completer aws
+
+       insinto /usr/share/zsh/site-functions
+       newins bin/aws_zsh_completer.sh _aws
+
+       distutils-r1_python_install_all
+
+       rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || 
die
+}

Reply via email to